Skip to main content
POST
/
api2
/
v3
/
users
Create user
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v3/users \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "timezone": "<string>",
  "userName": "<string>",
  "active": true,
  "note": "<string>",
  "password": "<string>",
  "receiveNewsletter": true
}
'
{
  "email": "<string>",
  "firstName": "<string>",
  "id": 123,
  "lastName": "<string>",
  "timezone": "<string>",
  "uid": "<string>",
  "userName": "<string>",
  "active": true,
  "assignableRoles": [
    "<string>"
  ],
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "credentialsReadonly": true,
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateDeleted": "2023-11-07T05:31:56Z",
  "editorVersion": "<string>",
  "jobsInProgress": 123,
  "lastLogin": "2023-11-07T05:31:56Z",
  "note": "<string>",
  "pendingEmailChange": true,
  "receiveNewsletter": true,
  "twoFactorAuthEnabled": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

sendInvitation
boolean
default:false

When true, sends an invitation email; password field is ignored

Body

application/json
email
string
required

Email address

Maximum string length: 255
firstName
string
required

First name

Maximum string length: 255
lastName
string
required

Last name

Maximum string length: 255
role
enum<string>
required

User role

Available options:
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER
timezone
string
required

IANA timezone identifier, e.g. Europe/Berlin

Maximum string length: 255
userName
string
required

Username (login name)

Maximum string length: 255
active
boolean

When false, the user account is created but immediately deactivated

note
string

Internal note about the user; max 4096 characters

Maximum string length: 4096
password
string

Initial password; ignored when sendInvitation=true

Maximum string length: 255
receiveNewsletter
boolean

When true, the user receives newsletter emails

Response

Created

User with all belonging objects

email
string
required

Email address

Maximum string length: 255
firstName
string
required

First name

Maximum string length: 255
id
integer<int64>
required

Internal numeric ID

lastName
string
required

Last name

Maximum string length: 255
role
enum<string>
required

User role

Available options:
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER
timezone
string
required

IANA timezone identifier

Maximum string length: 255
uid
string
required

Unique identifier (UID)

Maximum string length: 255
userName
string
required

Username (login name)

Maximum string length: 255
active
boolean

When false, the user account is deactivated

assignableRoles
string[]

Roles that the calling user may assign to this user

createdBy
object
credentialsReadonly
boolean

When true, the user credentials are read-only due to SSO

dateCreated
string<date-time>

Date the user account was created

dateDeleted
string<date-time>

Date the user account was deleted; null if the account is active

editorVersion
string

Preferred editor version for the user

jobsInProgress
integer<int32>

Number of jobs currently in progress for this user

lastLogin
string<date-time>

Date and time of the user's last successful login

note
string

Internal note about the user

Maximum string length: 4096
pendingEmailChange
boolean

When true, the user has a pending email change

receiveNewsletter
boolean

When true, the user receives newsletter emails

twoFactorAuthEnabled
boolean

When true, the user has two-factor authentication configured